%define anolis_release 1

Name:       xisxwayland
Version:    2
Release:    %{anolis_release}%{?dist}
Summary:    Tool to check if the X server is XWayland
License:    MIT
URL:        https://www.x.org
Source0:    https://www.x.org/pub/individual/app/%{name}-%{version}.tar.xz

BuildRequires:  meson gcc
BuildRequires:  pkgconfig(x11) pkgconfig(xrandr)

Obsoletes:  xorg-x11-server-utils < 7.7-40

%description
xisxwayland is a tool to be used within shell scripts to determine whether
the X server in use is Xwayland. It exits with status 0 if the server is an
Xwayland server and 1 otherwise.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%meson
%meson_build

%install
%meson_install

%files
%license COPYING
%{_bindir}/xisxwayland
%{_mandir}/man1/xisxwayland.1*

%files doc
%doc README.md

%changelog
* Mon May 08 2023 happy_orange <songnannan@linux.alibaba.com> - 2-1
- init package
